/**
 * DevExtreme (cjs/__internal/pagination/common/base_pagination_props.js)
 * Version: 24.2.2-beta
 * Build date: Mon Nov 18 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.BasePaginationDefaultProps = void 0;
var _base_props = require("../../core/r1/base_props");
var _message = _interopRequireDefault(require("../../../localization/message"));

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    }
}

function _extends() {
    _extends = Object.assign ? Object.assign.bind() : function(target) {
        for (var i = 1; i < arguments.length; i++) {
            var source = arguments[i];
            for (var key in source) {
                if (Object.prototype.hasOwnProperty.call(source, key)) {
                    target[key] = source[key]
                }
            }
        }
        return target
    };
    return _extends.apply(this, arguments)
}
const BasePaginationDefaultProps = exports.BasePaginationDefaultProps = _extends({}, _base_props.BaseWidgetDefaultProps, {
    isGridCompatibilityMode: false,
    showInfo: false,
    displayMode: "adaptive",
    maxPagesCount: 10,
    pageCount: 1,
    visible: true,
    hasKnownLastPage: true,
    pagesNavigatorVisible: "auto",
    showPageSizeSelector: true,
    allowedPageSizes: [5, 10],
    showNavigationButtons: false,
    itemCount: 1,
    label: _message.default.format("dxPagination-ariaLabel")
});
