/**
 * DevExtreme (cjs/__internal/ui/chat/messagebubble.js)
 * Version: 24.2.2-beta
 * Build date: Mon Nov 18 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = exports.CHAT_MESSAGEBUBBLE_CLASS = void 0;
var _element = require("../../../core/element");
var _renderer = _interopRequireDefault(require("../../../core/renderer"));
var _widget = _interopRequireDefault(require("../../core/widget/widget"));

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    }
}

function _extends() {
    _extends = Object.assign ? Object.assign.bind() : function(target) {
        for (var i = 1; i < arguments.length; i++) {
            var source = arguments[i];
            for (var key in source) {
                if (Object.prototype.hasOwnProperty.call(source, key)) {
                    target[key] = source[key]
                }
            }
        }
        return target
    };
    return _extends.apply(this, arguments)
}
const CHAT_MESSAGEBUBBLE_CLASS = exports.CHAT_MESSAGEBUBBLE_CLASS = "dx-chat-messagebubble";
const CHAT_MESSAGEBUBBLE_CONTENT_CLASS = "dx-chat-messagebubble-content";
class MessageBubble extends _widget.default {
    _getDefaultOptions() {
        return _extends({}, super._getDefaultOptions(), {
            text: "",
            template: null
        })
    }
    _initMarkup() {
        const $element = (0, _renderer.default)(this.element());
        $element.addClass(CHAT_MESSAGEBUBBLE_CLASS);
        (0, _renderer.default)("<div>").addClass("dx-chat-messagebubble-content").appendTo($element);
        super._initMarkup();
        this._updateContent()
    }
    _updateContent() {
        const {
            text: text = "",
            template: template
        } = this.option();
        const $bubbleContainer = (0, _renderer.default)(this.element()).find(".dx-chat-messagebubble-content");
        $bubbleContainer.empty();
        if (template) {
            template(text, (0, _element.getPublicElement)($bubbleContainer));
            return
        }
        $bubbleContainer.text(text)
    }
    _optionChanged(args) {
        const {
            name: name
        } = args;
        switch (name) {
            case "text":
            case "template":
                this._updateContent();
                break;
            default:
                super._optionChanged(args)
        }
    }
}
var _default = exports.default = MessageBubble;
