/**
 * DevExtreme (cjs/__internal/ui/check_box/check_box_icon.js)
 * Version: 24.2.2-beta
 * Build date: Mon Nov 18 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.defaultCheckBoxIconProps = exports.CheckBoxIcon = void 0;
var _inferno = require("inferno");
require("../../../ui/themes");
var _inferno2 = require("@devextreme/runtime/inferno");
var _style = require("../../../core/utils/style");
const _excluded = ["size"];

function _objectWithoutPropertiesLoose(source, excluded) {
    if (null == source) {
        return {}
    }
    var target = {};
    for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
            if (excluded.indexOf(key) >= 0) {
                continue
            }
            target[key] = source[key]
        }
    }
    return target
}
const defaultCheckBoxIconProps = exports.defaultCheckBoxIconProps = {};
class CheckBoxIcon extends _inferno2.BaseInfernoComponent {
    constructor(props) {
        super(props);
        this.state = {};
        this.elementRef = (0, _inferno.createRef)();
        this.__getterCache = {}
    }
    get cssStyles() {
        if (void 0 !== this.__getterCache.cssStyles) {
            return this.__getterCache.cssStyles
        }
        return this.__getterCache.cssStyles = (() => {
            const {
                size: size
            } = this.props;
            const fontSize = (0, _style.normalizeStyleProp)("fontSize", size);
            return {
                fontSize: fontSize
            }
        })()
    }
    get restAttributes() {
        const _this$props = this.props,
            restProps = _objectWithoutPropertiesLoose(_this$props, _excluded);
        return restProps
    }
    componentWillUpdate(nextProps) {
        if (this.props.size !== nextProps.size) {
            this.__getterCache.cssStyles = void 0
        }
    }
    render() {
        const {
            elementRef: elementRef,
            cssStyles: cssStyles
        } = this;
        return (0, _inferno.createVNode)(1, "span", "dx-checkbox-icon", null, 1, {
            style: (0, _inferno2.normalizeStyles)(cssStyles)
        }, null, elementRef)
    }
}
exports.CheckBoxIcon = CheckBoxIcon;
CheckBoxIcon.defaultProps = defaultCheckBoxIconProps;
