/**
 * DevExtreme (cjs/__internal/ui/scroll_view/utils/get_translate_values.test.js)
 * Version: 24.2.2-beta
 * Build date: Mon Nov 18 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
var _globals = require("@jest/globals");
var _get_element_style = require("./get_element_style");
var _get_translate_values = require("./get_translate_values");

function _extends() {
    _extends = Object.assign ? Object.assign.bind() : function(target) {
        for (var i = 1; i < arguments.length; i++) {
            var source = arguments[i];
            for (var key in source) {
                if (Object.prototype.hasOwnProperty.call(source, key)) {
                    target[key] = source[key]
                }
            }
        }
        return target
    };
    return _extends.apply(this, arguments)
}
_globals.jest.mock("./get_element_style", (() => _extends({}, _globals.jest.requireActual("./get_element_style"), {
    getElementTransform: _globals.jest.fn((() => ""))
})));
(0, _globals.describe)("getTranslateValues", (() => {
    (0, _globals.it)("element is not defined", (() => {
        (0, _globals.expect)((0, _get_translate_values.getTranslateValues)(null)).toEqual({
            left: 0,
            top: 0
        })
    }));
    (0, _globals.it)("matrix(1, 0, 0, 1, 10, 20)", (() => {
        _get_element_style.getElementTransform.mockReturnValue("matrix(1, 0, 0, 1, 10, 20)");
        (0, _globals.expect)((0, _get_translate_values.getTranslateValues)({})).toEqual({
            left: 10,
            top: 20
        })
    }))
}));
