/**
 * DevExtreme (cjs/__internal/utils/toMilliseconds.test.js)
 * Version: 24.2.2-beta
 * Build date: Mon Nov 18 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
var _globals = require("@jest/globals");
var _toMilliseconds = require("./toMilliseconds");
(0, _globals.describe)("toMilliseconds", (() => {
    (0, _globals.it)("milliseconds to milliseconds", (() => {
        (0, _globals.expect)((0, _toMilliseconds.toMilliseconds)("millisecond")).toBe(1)
    }));
    (0, _globals.it)("second to milliseconds", (() => {
        (0, _globals.expect)((0, _toMilliseconds.toMilliseconds)("second")).toBe(1e3)
    }));
    (0, _globals.it)("minute to milliseconds", (() => {
        (0, _globals.expect)((0, _toMilliseconds.toMilliseconds)("minute")).toBe(6e4)
    }));
    (0, _globals.it)("hour to milliseconds", (() => {
        (0, _globals.expect)((0, _toMilliseconds.toMilliseconds)("hour")).toBe(36e5)
    }));
    (0, _globals.it)("day to milliseconds", (() => {
        (0, _globals.expect)((0, _toMilliseconds.toMilliseconds)("day")).toBe(864e5)
    }));
    (0, _globals.it)("week to milliseconds", (() => {
        (0, _globals.expect)((0, _toMilliseconds.toMilliseconds)("week")).toBe(6048e5)
    }));
    (0, _globals.it)("month to milliseconds", (() => {
        (0, _globals.expect)((0, _toMilliseconds.toMilliseconds)("month")).toBe(2592e6)
    }));
    (0, _globals.it)("quarter to milliseconds", (() => {
        (0, _globals.expect)((0, _toMilliseconds.toMilliseconds)("quarter")).toBe(7776e6)
    }));
    (0, _globals.it)("year to milliseconds", (() => {
        (0, _globals.expect)((0, _toMilliseconds.toMilliseconds)("year")).toBe(31536e6)
    }))
}));
