/**
 * DevExtreme (esm/__internal/ui/scroll_view/m_scrollable.device.js)
 * Version: 24.2.2-beta
 * Build date: Mon Nov 18 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
import devices from "../../../core/devices";
import supportUtils from "../../core/utils/m_support";
export const deviceDependentOptions = function() {
    return [{
        device: () => !supportUtils.nativeScrolling,
        options: {
            useNative: false
        }
    }, {
        device: device => !devices.isSimulator() && "desktop" === devices.real().deviceType && "generic" === device.platform,
        options: {
            bounceEnabled: false,
            scrollByThumb: true,
            scrollByContent: supportUtils.touch,
            showScrollbar: "onHover"
        }
    }]
};
