/**
 * DevExtreme (esm/__internal/ui/scroll_view/utils/get_scrollbar_size.test.js)
 * Version: 24.2.2-beta
 * Build date: Mon Nov 18 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
import {
    describe,
    expect,
    it
} from "@jest/globals";
import {
    DIRECTION_HORIZONTAL,
    DIRECTION_VERTICAL
} from "../consts";
import {
    getScrollbarSize
} from "./get_scrollbar_size";
describe("getScrollbarSize(element, direction)", (() => {
    it("get vertical scrollbar width", (() => {
        expect(getScrollbarSize({
            offsetWidth: 100,
            clientWidth: 83
        }, DIRECTION_VERTICAL)).toEqual(17)
    }));
    it("get horizontal scrollbar height", (() => {
        expect(getScrollbarSize({
            offsetHeight: 100,
            clientHeight: 83
        }, DIRECTION_HORIZONTAL)).toEqual(17)
    }))
}));
