/**
 * DevExtreme (esm/__internal/utils/toMilliseconds.test.js)
 * Version: 24.2.2-beta
 * Build date: Mon Nov 18 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
import {
    describe,
    expect,
    it
} from "@jest/globals";
import {
    toMilliseconds
} from "./toMilliseconds";
describe("toMilliseconds", (() => {
    it("milliseconds to milliseconds", (() => {
        expect(toMilliseconds("millisecond")).toBe(1)
    }));
    it("second to milliseconds", (() => {
        expect(toMilliseconds("second")).toBe(1e3)
    }));
    it("minute to milliseconds", (() => {
        expect(toMilliseconds("minute")).toBe(6e4)
    }));
    it("hour to milliseconds", (() => {
        expect(toMilliseconds("hour")).toBe(36e5)
    }));
    it("day to milliseconds", (() => {
        expect(toMilliseconds("day")).toBe(864e5)
    }));
    it("week to milliseconds", (() => {
        expect(toMilliseconds("week")).toBe(6048e5)
    }));
    it("month to milliseconds", (() => {
        expect(toMilliseconds("month")).toBe(2592e6)
    }));
    it("quarter to milliseconds", (() => {
        expect(toMilliseconds("quarter")).toBe(7776e6)
    }));
    it("year to milliseconds", (() => {
        expect(toMilliseconds("year")).toBe(31536e6)
    }))
}));
