/**
* DevExtreme (ui/pagination.d.ts)
* Version: 24.2.2-beta
* Build date: Mon Nov 18 2024
*
* Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import Widget, { WidgetOptions } from './widget/ui.widget';
import {
    PagerBase,
} from '../common';

export {
    DisplayMode,
} from '../common';

export type PageSize = number | 'all';

/**
 * 
 * @deprecated 
 */
export interface dxPaginationOptions extends PagerBase, WidgetOptions<dxPagination> {
    /**
     * Specifies the page index.
     */
    pageIndex?: number;

    /**
     * Specifies the page size.
     */
    pageSize?: number;

    /**
     * Specifies the total number of items.
     */
    itemCount?: number;

    /**
     * Specifies page sizes available in the page size selector.
     */
    allowedPageSizes?: Array<PageSize>;
}

/**
 * Pagination is a UI component that allows users to navigate through pages and change page size at runtime. Pagination UI includes a page navigator and several optional elements: a page size selector, navigation buttons, and page information.
 */
export default class dxPagination extends Widget<Properties> {
    /**
      * Gets the number of pages.
      */
     getPageCount(): number;
}

export type Properties = dxPaginationOptions;
